Create payment method configurations

Creates a payment method configuration

Body
required
application/json

PaymentMethodConfigs control which payment methods are displayed to your customers when you don't explicitly specify payment method types. You can have multiple configurations with different sets of payment methods for different scenarios.

  • description
    Type: string
    max length:  
    5000

    The configuration's description.

  • name
    Type: string
    max length:  
    5000

    The configuration's name.

  • payment_methods
    Type: array object[] · payment_method_config_payment_method_properties[]

    List of payment methods for configuration (card, bank, etc) A minimum of 1 payment method is required.

    Transaction representing a specific operation (auth, capture, etc)

  • setup
    Type: object · payment_method_config_payment_method_setup nullable

    Payment method configuration.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/payment-configs
curl https://api.paypercut.io/v1/payment-configs \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "description": "",
  "payment_methods": [
    {
      "active": true,
      "name": ""
    }
  ],
  "setup": {
    "capture_mode": "MANUAL",
    "usage": "RECURRING",
    "authorization_type": "PRE_AUTH",
    "pre_authorization_type": "INCREMENTAL",
    "maximum_auth_amounts": [
      {
        "currencyCode": "",
        "amount": 100
      }
    ],
    "threeds": {
      "triggerType": "STATIC"
    },
    "wallets": [
      ""
    ],
    "statement_descriptor": ""
  }
}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "version": "string",
  "payment_methods": [
    {
      "active": true,
      "name": "string"
    }
  ],
  "setup": {
    "capture_mode": "MANUAL",
    "usage": "RECURRING",
    "authorization_type": "PRE_AUTH",
    "pre_authorization_type": "INCREMENTAL",
    "maximum_auth_amounts": [
      {
        "currencyCode": "string",
        "amount": 100
      }
    ],
    "threeds": {
      "triggerType": "STATIC"
    },
    "wallets": [
      "string"
    ],
    "statement_descriptor": "string"
  }
}